Skip to main content

Geometry

Less than 1 minute

Tips

The following documentation only provides function prototypes, if you have any questions please check the Documentation

MergeSolids

Merge multiple entities into one entity

RevitSugar.Geometry.MergeSolids(Autodesk.Revit.DB.Document, System.Collections.Generic.List<Autodesk.Revit.DB.Element>)

GetSolids

Gets the Solid list of element

RevitSugar.DB.GeometryExtensions.GetSolids(Autodesk.Revit.DB.Element,Autodesk.Revit.DB.Options,System.Boolean,System.Predicate<Autodesk.Revit.DB.Solid>)

GetSolids

Gets the entity list of the geometry object

RevitSugar.DB.GeometryExtensions.GetSolids(Autodesk.Revit.DB.GeometryObject,System.Predicate<Autodesk.Revit.DB.Solid>)

GetFacesByCondition

Gets the face list of the primitive according to the condition

RevitSugar.DB.GeometryExtensions.GetFacesByCondition(Autodesk.Revit.DB.Element,Autodesk.Revit.DB.Options,System.Func<Autodesk.Revit.DB.Face,System.Boolean>,System.Boolean)

GetPickedFace

Gets the selected face

RevitSugar.DB.GeometryExtensions.GetPickedFace(Autodesk.Revit.DB.Document,Autodesk.Revit.DB.Reference)

GetVolume

Gets the volume of the entity

RevitSugar.DB.GeometryExtensions.GetVolume(Autodesk.Revit.DB.Solid)

GetEdgesFromFace

Get face edge

RevitSugar.DB.GeometryExtensions.GetEdgesFromFace(Autodesk.Revit.DB.Face)

GetPlaneFromFace

Obtain the plane based on the plane

RevitSugar.DB.GeometryExtensions.GetPlaneFromFace(Autodesk.Revit.DB.Face)

ExtendByPoint

Expand the bounding box by some point

RevitSugar.DB.GeometryExtensions.ExtendByPoint(Autodesk.Revit.DB.BoundingBoxXYZ,Autodesk.Revit.DB.XYZ)

ExtendByAnother

Expand the bounding box with other bounding boxes

RevitSugar.DB.GeometryExtensions.ExtendByAnother(Autodesk.Revit.DB.BoundingBoxXYZ,Autodesk.Revit.DB.BoundingBoxXYZ)

GetMaxBoundingBox

Gets the largest bounding box for the element list

RevitSugar.DB.GeometryExtensions.GetMaxBoundingBox(System.Collections.Generic.IEnumerable<Autodesk.Revit.DB.Element>,Autodesk.Revit.DB.View)